.history-background {
    background-color: #fbf9ec;
    width: 100%;
}

#history-scroll-area{
    height: 60vh;
    overflow: scroll;
    padding-bottom: 100px;
    position:relative;
    z-index:0;
}
.history-bg{
    background-color: transparent;
    background-image: url("../../assets/img/v14/history.png");
    -webkit-mask-image: linear-gradient(to bottom, transparent 0%, black 60%);
    mask-image: linear-gradient(to bottom, transparent 0%, black 60%);
    background-repeat: repeat-x;
    background-position:bottom;
    height: 400px;
    margin-top:-300px;
    pointer-events: none;
}
.history-img{
    position: absolute;
    bottom: 0px;
    z-index: 9;
    background-color: transparent;
    width: 100%;
    height: 200px;
}
@media(max-width:767px) {
    .history-img{
        width: 200%;
    }
}

.decade-title {
    font-family: "Ubuntu","Noto Sans TC", sans-serif;
    font-size: 125px;
    font-weight: bold;
    margin-bottom: 20px;
    line-height: 1.1;
    white-space: nowrap;
    -webkit-text-stroke-color: #c9ab86;
    -webkit-text-stroke-width: 2px;
    -webkit-text-fill-color: transparent;
    position: sticky;
    top: 0;             /* 距離父容器頂端 */
    background: #fbf9ec;
    z-index: 1;
}

@media(max-width:767px) {
    .decade-title {
        font-size: 50px;
        font-weight: bold;
        margin-bottom: 20px;
        line-height: 1.1;
        white-space: nowrap;
        -webkit-text-stroke-color: #c9ab86;
        -webkit-text-stroke-width: 1.5px;
        -webkit-text-fill-color: transparent;
    }
}

.event-item {
    display: flex;
    flex-direction: column;
    padding: 26px 28px 38px 0;
}

.event-item .year {
    font-size: 40px;
    color: #000;
    margin-bottom: 20px;
    min-height: 48px;
}

.content-card {
    text-align: left;
    display: grid;
    grid-template-columns: 1fr 1.5fr;
    grid-gap: 10px;
}

.content-card-without-img {
    text-align: left;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 10px;
}

.content-img {
    border-radius: 12px;
}

.history-trunk-div {
    position: sticky;
    top: 30px;
    align-self: start;
    display: flex;
    flex-direction: column;
    align-items: end;
    width: 100%;
}

.truck-container {
    width: 124px;
    margin-bottom: -5px;
    z-index: 5;
    position: absolute;
    top: -8px;
    margin-left:20px;
}
@media(max-width:991px){
	.truck-container {
	    width: 95px;
	    margin-left:30px;
	}
}

.truck-img {
    width: 100%;
    height: auto;
}
@media(max-width:991px){
    .truck-img {
       max-height: 65px;
    }
}

.timeline{
    height: 50vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    padding-bottom: 50px;
}

/* 每個年代 */
.timeline-item {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: row;
    padding-top: 10px;
    padding-left: 35px;
}

.timeline-item:after {
	content:"";
	position: absolute;
    left: 42px;
    top: 15px;
    bottom: 20px;
    width: 1px;
    background: #a46a1f;
    z-index: 1;
    height:100dvh;
}

.timeline-dot {
    width: 14px;
    height: 14px;
    background: #a46a1f;
    border-radius: 50%;
    margin-bottom: 10px;
    border: 3px solid #fbf9ec;
    cursor: pointer;
    z-index:2;
}

.timeline-year {
    font-size: 23px;
    font-weight: bold;
    color: #a46a1f;
    letter-spacing: 2px;
    white-space: nowrap;
    line-height: 1;
    padding-left: 10px;
    cursor: pointer;
}

@media(max-width:767px) {
    .timeline-year {
        font-size: 14px;
    }
}


.timeline-item:last-child {
    margin-bottom: 0;
}
.history-wrap{
    position: relative;
    display: grid;
    grid-template-columns: 1fr 5fr;
    grid-gap: 100px;
    padding: 30px 0;
}
@media(max-width:767px) {
    .history-wrap{
        grid-template-columns: 1fr 4fr;
        grid-gap: 40px;
        padding: 30px 0;
    }
}
@media(max-width:393px) {
    .history-wrap{
        grid-template-columns: 1fr 3fr;
        grid-gap: 40px;
        padding: 30px 0;
    }
}

.event-area{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

@media(max-width:767px) {
    .event-area{
        display: grid;
        grid-template-columns: 1fr;
    }
}

@media (max-width: 767px) {
    .content-card{
        display: block;
        overflow: hidden;
    }
    .content-img {
        float: right;
        margin: 0 0 0 5px;
        width: 60%;
    }
}